package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxBuser;

public interface WxBuserService {

    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
    PageInfo<WxBuser> listAsPage(WxBuser record, Integer pageIndex, Integer pageSize);

    /**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxBuser getById(Long id);

    /**
     * 根据openId获得实体
     *
     * @param record
     * @return
     */
    WxBuser getByOpenId(WxBuser record);

    /**
     * 根据object获得实体
     *
     * @param record
     * @return
     */
    WxBuser getByObject(WxBuser record);

    /**
     * 保存或更新实体
     *
     * @param record
     */
    int saveOrUpdate(WxBuser record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);

    int updateExtInfo(WxBuser user);

    int updateLBS(WxBuser user);

    int updateScene(WxBuser user);
}
